Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Nov 2019 18:14:02 +0200

> From: Juri Linkov <[email-masked]>
> Date: Sun, 24 Nov 2019 01:20:20 +0200
> 
> The release pretest deadline is quickly approaching, but it seems the
> face-extend feature is still unfinished.

Is there something else to be developed?  I wasn't aware of anything
that didn't get implemented already.

> At least, I see that even though diff-refine-added and diff-refine-removed
> faces have no :extend face attribute, but still extend to the window edge.

Was this reported somewhere?  If so, I guess I missed it.

Anyway, I think I see the problem, and I'm testing a solution.  But in
any case, starting a release cycle doesn't mean we will release Emacs
27.1 tomorrow, it just means we will start pretesting it, so there
will be plenty of time to find and fix bugs in its features.  We need
to consider only development of new features when we decide whether to
cut a release branch.